Get RFQ User Info

Returns identity and rating information for the requesting account and its subaccounts. Includes both group-level and individual user-level alias data, if available.

Request

POST /api/block/rfqs/get_rfq_user_info

Parameters

No parameters required.

Request Example

{
  "rid": 10010,
  "method": "block/rfqs/get_rfq_user_info"
}

Response

Name Type Description
parent object Parent Identity (group alias), representing the overall account group (main + subaccounts)
> identity string Group-level alias identifying the account group as a whole
> maker boolean Indicates whether the Parent Identity has maker scope
users array Array of user objects
> identity string Specific alias identifying this account individually
> maker boolean Indicates whether this account has maker scope
> takerRating string Taker rating associated with this account, if available
> userId integer Unique user identifier

Response Example

{
  "rid": 10010,
  "result": {
    "parent": {
      "identity": "SPTYX",
      "maker": true
    },
    "users": [
      {
        "identity": "TYXTES",
        "maker": true,
        "takerRating": "1-2",
        "userId": 51533
      },
      {
        "userId": 70236
      }
    ]
  }
}

results matching ""

    No results matching ""